<?php
namespace Claromentis\Search\Suggestions;

$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] = (@$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"] ?: array()) + array();









interface InternalResource
{
    
    
    
    
    
    
    
    
    public static function IsSupportedUrl($url);
    
    
    
    
    
    
    
    public function ProcessUrl($url);
    
    
    
    
    
    
    
    
    public function CheckPermission($url);
    
    
    
    
    
    
    
    public function IsValidUrl($url);
    
    
    
    
    
    
    
    public function PermissionsApply($url);
    
    
    
    
    
    
    
    public function GetObjectDetails($url);
}